Bug 1070159 - (CVE-2017-17563) VUL-0: CVE-2017-17563: xen: broken x86 shadow mode refcount overflow check (XSA-249)
(CVE-2017-17563)
VUL-0: CVE-2017-17563: xen: broken x86 shadow mode refcount overflow check (X...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Charles Arnold
Security Team bot
CVSSv3:SUSE:CVE-2017-17563:6.5:(AV:A/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-28 15:37 UTC by Johannes Segitz
Modified: 2018-03-15 06:17 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Segitz 2017-11-28 15:37:22 UTC
Created attachment 750405 [details]
Upstream patch

Xen Security Advisory XSA-249

            broken x86 shadow mode refcount overflow check

              *** EMBARGOED UNTIL 2017-12-12 12:00 UTC ***

ISSUE DESCRIPTION
=================

Pages being used to run x86 guests in shadow mode are reference counted
to track their uses.  Unfortunately the overflow check when trying to
obtain a new reference used a mask one bit wider than the reference
count actually is, rendering the entire check ineffective.

IMPACT
======

A malicious or buggy guest may cause a hypervisor crash, resulting in
a Denial of Service (DoS) affecting the entire host, or cause hypervisor
memory corruption.  We cannot rule out a guest being able to escalate
its privilege.

VULNERABLE SYSTEMS
==================

Xen versions 4.1 and later are affected.  Xen versions 4.0 and earlier
are not affected.

x86 systems are vulnerable.  ARM systems are not vulnerable.

Only guests run in shadow mode can exploit the vulnerability.
PV guests typically only run in shadow mode during live migration, as
well as for features like VM snapshot.

Note that save / restore does *not* use shadow mode, and so does not
expose this vulnerability.  Some downstreams also include a "non-live
migration" feature, which also does not use shadow mode (and thus does
not expose this vulnerability).

HVM guests run in shadow mode on hardware without HAP support, or when
HAP is disabled (globally or in the VM configuration file).  Live
migration does not affect an HVM guest's use of shadow mode.

MITIGATION
==========

For HVM guest explicitly configured to use shadow paging (e.g. via the
`hap=0' xl domain configuration file parameter), changing to HAP (e.g.
by setting `hap=1') will avoid exposing the vulnerability to those
guests.  HAP is the default (in upstream Xen), where the hardware
supports it; so this mitigation is only applicable if HAP has been
disabled by configuration.

For PV guests, avoiding their live migration avoids the vulnerability.

RESOLUTION
==========

Applying the attached patch resolves this issue.

xsa249.patch           xen-unstable, Xen 4.9.x ... 4.5.x

$ sha256sum xsa249*
e99066b0171d4757c6a66e1223aabe01e990de2d0dc50416936e064e6e750d00  xsa249.patch
Comment 2 Johannes Segitz 2017-12-12 13:39:30 UTC
public
Comment 3 Alexander Bergmann 2017-12-13 07:52:26 UTC
CVE-2017-17563 was assigned to this issue.
Comment 4 Swamp Workflow Management 2018-02-14 14:09:22 UTC
SUSE-SU-2018:0438-1: An update that solves 10 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1051729,1061081,1067317,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    xen-4.9.1_08-3.26.1
SUSE Linux Enterprise Server 12-SP3 (src):    xen-4.9.1_08-3.26.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    xen-4.9.1_08-3.26.1
SUSE CaaS Platform ALL (src):    xen-4.9.1_08-3.26.1
Comment 5 Swamp Workflow Management 2018-02-16 11:14:28 UTC
openSUSE-SU-2018:0459-1: An update that solves 10 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1051729,1061081,1067317,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
openSUSE Leap 42.3 (src):    xen-4.9.1_08-16.1
Comment 6 Swamp Workflow Management 2018-02-19 14:13:01 UTC
SUSE-SU-2018:0472-1: An update that solves 10 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1051729,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    xen-4.7.4_06-43.24.1
SUSE Linux Enterprise Server 12-SP2 (src):    xen-4.7.4_06-43.24.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    xen-4.7.4_06-43.24.1
Comment 7 Swamp Workflow Management 2018-03-05 14:09:46 UTC
SUSE-SU-2018:0601-1: An update that solves 10 vulnerabilities and has three fixes is now available.

Category: security (important)
Bug References: 1027519,1035442,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Server 12-LTSS (src):    xen-4.4.4_28-22.62.1
Comment 8 Swamp Workflow Management 2018-03-05 20:09:58 UTC
SUSE-SU-2018:0609-1: An update that solves 10 vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1035442,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE OpenStack Cloud 6 (src):    xen-4.5.5_24-22.43.1
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    xen-4.5.5_24-22.43.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    xen-4.5.5_24-22.43.1
Comment 9 Swamp Workflow Management 2018-03-08 20:11:38 UTC
SUSE-SU-2018:0638-1: An update that solves 10 vulnerabilities and has four fixes is now available.

Category: security (important)
Bug References: 1027519,1031382,1035442,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2018-5683
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    xen-4.4.4_28-61.23.2
SUSE Linux Enterprise Server 11-SP4 (src):    xen-4.4.4_28-61.23.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    xen-4.4.4_28-61.23.2
Comment 10 Swamp Workflow Management 2018-03-14 23:10:01 UTC
SUSE-SU-2018:0678-1: An update that fixes 14 vulnerabilities is now available.

Category: security (important)
Bug References: 1024307,1030144,1061081,1068032,1070158,1070159,1070160,1070163,1074562,1076116,1076180,1080635,1080662
CVE References: CVE-2017-11334,CVE-2017-15595,CVE-2017-17563,CVE-2017-17564,CVE-2017-17565,CVE-2017-17566,CVE-2017-18030,CVE-2017-5715,CVE-2017-5753,CVE-2017-5754,CVE-2017-5898,CVE-2018-5683,CVE-2018-7540,CVE-2018-7541
Sources used:
SUSE Linux Enterprise Server 11-SP3-LTSS (src):    xen-4.2.5_21-45.19.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    xen-4.2.5_21-45.19.1
SUSE Linux Enterprise Debuginfo 11-SP3 (src):    xen-4.2.5_21-45.19.1
Comment 11 Marcus Meissner 2018-03-15 06:17:22 UTC
looks like all are released